<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- Responsive meta tags -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit = no">
		
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

		<title>Bootstrap Grid System</title>

		
	</head>
	<body>
		<h1 class="text text-white bg-primary">Bootstrap Grid System</h1>

		<div class="container-fluid">
			<div class="row">
				<!-- div1 -->
				<div class="bg-success border border-dark col-md-8">
					Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages.
				</div>
				<!-- div2 -->
				<div class="bg-warning border border-dark col-md-8">
					Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages.
				</div>
			</div>
			<!-- end div row -->
			<h2 class="text-center">Rows with 2 equal columns</h2>
			<h3 class="text-center">1:1 Ratio</h3>
			<div class="row mt-3">
				<div class="bg-primary py-3 border border-dark col-6">
					<h2 class="text-center">6 columns</h2>
					<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
					tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
					quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
					consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
					cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
					proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</div>
				<div class="bg-danger py-3 border border-dark col-6">
					6 column
				</div>
			</div>
			<!-- end row 1:1 -->
			<h3 class="text-center">1:2 Ratio</h3>
			<div class="row">
				<div class="bg-success py-3 border border-dark col-4">
					4 columns
				</div>
				<div class="bg-info py-3 border border-dark col-8">
					8 columns
				</div>
			</div>
		</div>
		<!-- Activity -->
		<h3 class="text-center">1:3 Ratio</h3>
		<div class="row">
			<div class="bg-danger py-3 border border-dark col-3">
				3 columns
			</div>
			<div class="bg-warning py-3 border border-dark col-9">
				9 columns
			</div>
		</div>
		<h2 class="text-center">Rows with three columns</h2>
		<h3 class="text-center">1:1:1</h3>
		<div class="row">
			<div class="bg-primary py-3 border border-dark col-4">4 columns</div>
			<div class="bg-secondary py-3 border border-dark col-4">4 columns</div>
			<div class="bg-danger py-3 border border-dark col-4">4 columns</div>
		</div>

		<h3 class="text-center">1:2:1</h3>
		<div class="row">
			<div class="bg-warning py-3 border border-dark col-3">3 columns</div>
			<div class="bg-success py-3 border border-dark col-6">6 columns</div>
			<div class="bg-warning py-3 border border-dark col-3">3 columns</div>
		</div>
		<h2 class="text-center">Auto Columns</h2>
		<div class="row">
			<div class="bg-success py-5 border border-dark col">Auto 1</div>
			<div class="bg-success py-5 border border-dark col">Auto 2</div>
			<div class="bg-primary py-5 border border-dark col-8">Col-8</div>
			<div class="bg-success py-5 border border-dark col">Auto 4</div>
			<div class="bg-success py-5 border border-dark col">Auto 5</div>
		</div>
		<!-- end of auto column -->
		<h3 class="text-center">Rows with uneven columns</h3>
		<div class="row">
			<div class="bg-info py-5 border border-dark col-7">col-7</div>
			<div class="bg-info py-5 border border-dark col-5">col-5</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
		</div>

		<h2 class="text-center">Responsive Columns</h2>
		<div class="row">
			<div class="bg-secondary py-3 border border-dark col-md-4">
				4 cols md to lg
			</div>

			<div class="bg-primary py-3 border border-dark col-md-6">
				6 cols md to lg
			</div>

			<div class="bg-danger py-3 border border-dark col-md-2">
				2 cols md to lg
			</div>
		</div>

		<div class="row">
			<div class="bg-dark border border-white col-4">
				col-4 from sm to lg
			</div>
			<div class="bg-primary border border-dark col-8 col-md-6">
				8 col col-6 from md to lg
			</div>
		</div>

		<!-- mini activity -->

		<h3>Activity</h3>
		<div class="row">
			<div class="bg-primary border border-black col-sm-6">
				1st div
			</div>
			<div class="bg-danger border border-black col-sm-6 col-md-10">
				2nd div
			</div>
		</div>

		<div class="row">
			<div class="bg-success border border-black col-sm-12 col-md-8">
				1st div
			</div>
			<div class="bg-info border border-dark col-sm-6 col-md-2">
				2nd div
			</div>
			<div class="bg-success border border-dark col-sm-6 col-md-2">
				3rd div
			</div>
		</div>

		<!-- Javascript Bootstrap -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>
	</body>
</html>